#include "FuncBase.h"

#include "spdlog/spdlog.h"
#include "FromRedis.h"
#include "ToEQMDataBase.h"

FuncBase::FuncBase()
{
    m_fromRedis = std::make_shared<FromRedis>();
    m_toEQMDataBase = std::make_shared<ToEQMDataBase>();
}

FuncBase::~FuncBase()
{

}

/* 设置功能信息 */
void FuncBase::setFuncActionInfo(FuncActionInfo* pFuncAct)
{
    m_funcAct = *pFuncAct;
}
void FuncBase::setFuncActionInfo(FuncActionInfo& FuncAct)
{
    m_funcAct = FuncAct;
}

/* 获取该实例的功能 */
AppFunction FuncBase::getApp()
{
    return m_funcAct.appFunction;
}

/* 获取线程运行状态 */
bool FuncBase::getThreadRunning() const
{
    return m_bRunning;
}